Bug 741007 - Tracker consumes all diskspace on my user partition
Summary: Tracker consumes all diskspace on my user partition
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: tracker
Version: 15
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-24 11:27 UTC by Jeroen Beerstra
Modified: 2012-08-06 20:02 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-12 14:42:42 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 660137 None None None 2019-06-27 06:47:34 UTC

Description Jeroen Beerstra 2011-09-24 11:27:59 UTC
Description of problem:

After I login tracker get started and shortly consumes all diskspace on my 
home partition. Since this is a limited encrypted partition this equals to about 20GB of storage. Usually the file .cache/tracker/meta.db-wal takes all this space.

Version-Release number of selected component (if applicable):

gnome-desktop3-3.0.1-2.fc15.x86_64
tracker-0.10.24-1.fc15.x86_64
tracker-docs-0.10.24-1.fc15.noarch
tracker-nautilus-plugin-0.10.24-1.fc15.x86_64
tracker-search-tool-0.10.24-1.fc15.x86_64

How reproducible:


Steps to Reproduce:
1. Login
2. Wait
3. Errors because home partition is out of space
  
Actual results:

0 available space on home partition

Expected results:

Tracker should only take a couple of gigs of space or at least stick to its default limit of 5% space

Additional info:

Sometimes I just have to kill tracker-store to release the used inodes, else I have to delete  .cache/tracker/meta.db-wal

Comment 1 Deji Akingunola 2011-09-27 16:26:02 UTC
Here is a response from one of the upstream developers, can you please response here or on the upstream bug?

--- Comment #1 from Jürg Billeter <j@bitron.ch> 2011-09-27 15:59:06 UTC ---
I haven't seen the WAL file ever grow that big. However, it can theoretically
happen if active readers block SQLite checkpointing. I've pushed a commit to
master that advises SQLite to shrink the WAL file to 10 MB as soon as possible.
It does not prevent a temporarily larger WAL file, though, as SQLite does not
support that. You're welcome to try whether this commit (11443fd) fixes the
issue for you.

During step 2 "Wait" are you using tracker in any way besides the indexing in
the background (e.g., via tracker-search-tool or nautilus)?

What directories did you configure to index? Do you have a huge data set?

Testing this with a more recent Tracker version such as the one available in
Fedora 16 might help.

Comment 2 Jeroen Beerstra 2011-09-27 16:38:57 UTC
Not using tracker besides the default background indexing when this occurs. Just using the default storage locations in home/<my username> also.

Dataset is 22463 MB, tracker consumes all of the remaining 25372 MB and tracker-store eventually exits. PLease note that a lot of the data is in large files like imap folders and svn folders, not sure about the first but svn folders should be ignored by default config.

Will try the tracker from F16 to see if that helps.

Comment 3 Jeroen Beerstra 2011-09-28 11:39:51 UTC
Installed tracker-0.12.0-3 from rawhide (via rpmbuild --rebuild to prevent dependency hell and without the thunderbird miner to make it build), problem remains

Comment 4 Deji Akingunola 2011-09-28 14:17:03 UTC
Can you please test the F15 build at http://koji.fedoraproject.org/koji/taskinfo?taskID=3385386 ?

Comment 5 Jeroen Beerstra 2011-09-28 19:24:15 UTC
$ rpm -q tracker
tracker-0.12.3-1.fc15.x86_64

Same problem

Comment 6 Deji Akingunola 2011-10-11 15:19:09 UTC
This issue has been fixed upstream in tracker-0.10.30 and tracker-0.12.24. Can you please test the updated Fedora packages (tracker-0.10.30-1.fc15)?

Comment 7 Jeroen Beerstra 2011-10-12 14:42:42 UTC
Problem seems solved now, thank you!

Comment 8 Jeroen Beerstra 2012-02-18 10:30:42 UTC
Problem has reappeared lately, that is .cache/tracker/meta.db-wal consumes all free diskspace after a while.

Comment 9 Fedora End Of Life 2012-08-06 20:01:54 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Fedora End Of Life 2012-08-06 20:02:08 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.